Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class FloatSeqHelper

    java.lang.Object
      org.omg.CORBA.FloatSeqHelper

public abstract class FloatSeqHelper
extends Object

The Helper for `FloatSeq`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/FloatSeqHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from streams.idl 13 May 1999 22:41:37 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

- ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
- IDL/Java Language Mapping as defined in ptc/00-01-08

Constructor Summary
`FloatSeqHelper()`

Method Summary
`static float[]` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, float[] that)`
`static float[]` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, float[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatSeqHelper

    public FloatSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              float[] that)

### extract

    public static float[] extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static float[] read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             float[] value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.